/*
	Copyright (C) 1994 Sean Luke

	COWSStringNode.h
	Version 1.0
	Sean Luke
	
*/




#import "COWSNode.h"
#import <stdio.h>

@interface COWSStringNode:COWSNode
{
		char	*string;
		BOOL	error;			// used exclusively by library functions
}

- init;
- free;
- (const char*) string;
- setString:(const char*) this;
- setString:(const char*) this size:(int)this_size;		// tacks on a \0
- printContents;		// debugging
- setError:(BOOL)true_or_false;
- (BOOL) error;

@end