/*
	Copyright (C) 1994 Sean Luke

	COWSTestBench.h
	Version 1.0
	Sean Luke
	
	This object is just a front end to make the interpreter look pretty in this
	example program...
	
*/



#import <appkit/appkit.h>
#import "COWSProtocols.h"

@interface COWSTestBench:Object <InterpreterToAppDelegate>
{
	id	library;
    id	interpreter;
    id	program;
	id	matrix;
	id	jungle;
	id	array;
	id	timedEntry;
	id	repeats;
	id	foreground;
	id	locked;
	id	ipc;
}

- setTimedEntry:sender;
- revertTimedEntry:sender;
- execute:sender;
- load:sender;
- loadAndExecute:sender;
- print:sender;
- stop:sender;
- finishedInterpreting:(const char*)returnValue:(int)thisMessage:sender;
- errorInterpreting:(int) thisError:(const char*)thisFunction:
	(int)thisPosition:(const char*)thisString:sender;

@end
